> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Bill

> Delete Bills with this endpoint.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to delete a Bill.

<RequestExample>
  ```bash Curl theme={null}
  curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET]
  -X DELETE https://api.razorpay.com/v1/bills/bill_4a5e9ulyzk1mk2
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {"status": "deleted"}
  ```

  ```json Failure theme={null}
  {
    "error": {
      "code": "UNAUTHORISED",
      "description": "client not authorised to update",
      "field": null,
      "source": "business",
      "step": "authentication",
      "reason": "unauthorised",
      "metadata": {}
    }
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the bill that must be deleted.
</ParamField>

## Errors

<AccordionGroup>
  <Accordion title="client not authorised to update">
    **Code:** `401`

    The client credentials are unauthorised to make changes to this bill.

    **Solution:** Use authorised credentials to make changes to the bill.
  </Accordion>

  <Accordion title="Operation failed">
    **Code:** `500`

    There is an internal server error

    **Solution:** There is a server issue. Raise a support ticket with us to get this resolved.
  </Accordion>
</AccordionGroup>
